__gnu_parallel::__replace_if_selector< _It, _Op, _Tp > Struct Template Reference

`#include <for_each_selectors.h>`

Inheritance diagram for __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >:
[legend]

## Public Member Functions

| __replace_if_selector (const _Tp &__new_val)
bool | operator() (_Op &__o, _It __i)

## Public Attributes

const _Tp & | __new_val
_It | _M_finish_iterator

## Detailed Description

template<typename _It, typename _Op, typename _Tp>
struct __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >

std::replace() selector.

Definition at line 156 of file for_each_selectors.h.

## Constructor & Destructor Documentation

## __replace_if_selector()

template<typename _It , typename _Op , typename _Tp >

__gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::__replace_if_selector | ( | const _Tp & | __new_val | ) |

inline explicit

Constructor.

Parameters

  __new_val | Value to replace with.

Definition at line 164 of file for_each_selectors.h.

## Member Function Documentation

## operator()()

template<typename _It , typename _Op , typename _Tp >

bool __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::operator() | ( | _Op & | __o,
|  | _It | __i
| ) |  |

inline

Functor execution.

Parameters

  __o | Operator.
  __i | iterator referencing object.

Definition at line 170 of file for_each_selectors.h.

References __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::__new_val.

## Member Data Documentation

## __new_val

template<typename _It , typename _Op , typename _Tp >

const _Tp& __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::__new_val

Value to replace with.

Definition at line 159 of file for_each_selectors.h.

Referenced by __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >::operator()().

## _M_finish_iterator

template<typename _It >

_It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

inherited

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

The documentation for this struct was generated from the following file:

- for_each_selectors.h